Issue 97378 - XDocumentProperties "unpublished"
XDocumentProperties "unpublished"
Status: CLOSED FIXED
Product: App Dev
Classification: Unclassified
Component: api
OOo 3.3 or older
All All
: P4 trivial
: ---
Assigned To: jsc
issues@api
http://api.openoffice.org/docs/common...
:
Depends on: 87496
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 03:35 UTC by probe1
Modified: 2013-02-24 21:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description probe1 2008-12-18 03:35:31 UTC
IDL reference states that XDocumentProperties is unpublished.

As XDocumentInfo is deprecated, and XDocumentProperties (obviously) *is*
published, this should be corrected in documentation.

Thanks
Comment 1 jsc 2009-01-05 09:30:37 UTC
jsc -> mba: i am sure you have an opinion on that. I think we should publish it asap
Comment 2 Mathias_Bauer 2009-01-05 12:42:02 UTC
We should publish XDocumentProperties and XDocumentPropertiesSupplier. 
The now deprecated Service XDocumentInfoSupplier is an optional interface in
service com.sun.star.document.OfficeDocument. We should replace it. This will
require to put this new service into the reference rdb.
Comment 3 mst.ooo 2009-10-06 15:01:18 UTC
retarget
Comment 4 mst.ooo 2009-11-09 12:38:17 UTC
trying to publish the service hit an unexpected roadblock: the XStorage
interface is also not published.
Comment 5 mst.ooo 2010-03-30 17:45:23 UTC
fixed in CWS fwk138:
http://hg.services.openoffice.org/hg/cws/fwk138/rev/6529b18b6c88
Comment 6 mst.ooo 2010-04-16 15:48:43 UTC
please verify
Comment 7 jsc 2010-05-06 16:33:41 UTC
verified on cws fwk138

The interfaces
- com.sun.star.document.XDocumentProperties
- com.sun.star.document.XDocumentPropertiesSupplier 
- com.sun.star.embed.XStorage 
are now published.

com.sun.star.document.XDocumentInfosupplier is marked as deprecated in
com.sun.star.document.OfficeDocument with a hint to use
XDocumentPropertiesSupplier instead.
Comment 8 jsc 2010-07-06 14:51:20 UTC
closed, verified on master